Skip to content

POST /api/v3/support

Summary

POST support

Description

Creates a support request ticket

Tags: support

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Request Body

Required: Yes

Content Type: application/json

Schema

Type: object

Required fields: from_name, from_email, from_phone, from_message, support_data

Properties:

  • from_name (string) (required): The name of the person making the request.
  • from_email (string) (required): The email of the person making the request.
  • from_phone (string) (required): The phone number of the person making the request.
  • from_message (string) (required): The message of the person making the request.
  • support_data (string) (required): Any additional data you would like to send. As a json string

Responses

Response: 200

Content Type: text/plain

Schema

Type: string

Example Response
"{\n \"ok\": true,\n \"ticket_number\" : \"LTK-1234\",\n }"

Example Implementations

Bash (cURL)

curl --request POST \
    "https://api.lucit.app/api/v3/support" \
    --header "Authorization: Bearer {AuthToken}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --header "AppIdV3: LCUID-LAP-********-****-****-****-************" \
    --data "{
    \"from_name\": \"\\\"John Doe\\\"\",
    \"from_email\": \"\\\"\",
    \"from_phone\": \"\\\"555-555-5555\\\"\",
    \"from_message\": \"\\\"This is a test message\\\"\",
    \"support_data\": \"aliquid\"
}"

JavaScript (Fetch API)

const url = new URL(
    "https://api.lucit.app/api/v3/support"
);

const headers = {
    "Authorization": "Bearer {AuthToken}",
    "Content-Type": "application/json",
    "Accept": "application/json",
    "AppIdV3": "LCUID-LAP-********-****-****-****-************",
};

let body = {
    "from_name": "\"John Doe\"",
    "from_email": "\"",
    "from_phone": "\"555-555-5555\"",
    "from_message": "\"This is a test message\"",
    "support_data": "aliquid"
};

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

PHP (Guzzle)

$client = new \GuzzleHttp\Client();
$response = $client->post(
    'https://api.lucit.app/api/v3/support',
    [
        'headers' => [
            'Authorization' => 'Bearer {AuthToken}',
            'Content-Type' => 'application/json',
            'Accept' => 'application/json',
            'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
        ],
        'json' => [
            'from_name' => '"John Doe"',
            'from_email' => '"',
            'from_phone' => '"555-555-5555"',
            'from_message' => '"This is a test message"',
            'support_data' => 'aliquid',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));

Python (Requests)

import requests
import json

url = 'https://api.lucit.app/api/v3/support'
payload = {
    "from_name": "\"John Doe\"",
    "from_email": "\"",
    "from_phone": "\"555-555-5555\"",
    "from_message": "\"This is a test message\"",
    "support_data": "aliquid"
}
headers = {
  'Authorization': 'Bearer {AuthToken}',
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}

response = requests.request('POST', url, headers=headers, json=payload)
response.json()

Example Responses

200 Response

{
 "ok": true,
 "ticket_number" : "LTK-1234",
 }

← Back to support index | Back to main index